(function($)
{
	$.fn.saving = function()
	{
		return this.empty().html(
		    '<img src=/img/loading.gif> Saving, please wait...');
	};

	$.fn.enable = function()
	{
		return this.each(function() {
			$(this)
			    .removeClass('ui-state-disabled')
			    .removeProp('disabled');
		});
	};

	$.fn.disable = function()
	{
		return this.each(function() {
			$(this)
			    .addClass('ui-state-disabled')
			    .prop('disabled', true);
		});
	};
})(jQuery);

function sort_select(id)
{
	var sorted = $.makeArray($(id + ' option')).sort(function(a,b) {
		return ($(a).val() - $(b).val());
	});
	$(id).empty().html(sorted);
}

$(function() {

$(":checkbox").iphoneStyle({
	checkedLabel: 'YES',
	uncheckedLabel: 'NO'
});

$('.move').button().click(function(e) {
	e.preventDefault();
	var arr = $(this).attr("id").split("2");
	var from = '#' + arr[0] + 'list';
	var to = '#' + arr[1] + 'list';

//	if (window.console)
//		console.log("Move: %s -> %s", from, to);

	$(from + ' option:selected').each(function() {
		$(to).append($(this).clone());
		$(this).remove();
	});
	$(from).attr('size', $(from + ' option').length);
	$(to).attr('size', $(to + ' option').length);
	sort_select(from);
	sort_select(to);
});

$('#save').button().click(function(e) {
	e.preventDefault();
	var fav = new Array();
	$('#favlist option').each(function() {
		fav.push($(this).val());
	});
	$('button').disable();
	$('#saveresults').saving().load('save.jim?fav=' +
	    fav.join(),
	    function() { $('button').enable(); });

});

$('#savercmode').button();

$('form.auto').each(function(i, el) {
	var id = $(this).attr('id');
	var output = '#' + id + '_output';
	$(this).ajaxForm({
		target: output,
		success: function() {
			$(output)
				.css('font-style', 'italic')
				.show('slow')
				.delay(2000)
				.fadeOut('slow');
		}
	});
});

$('#rcoptions [type="checkbox"]').change(function() {
	var output = '#rcoptions_output';
	$('#rcoptions').ajaxSubmit({
		target: output,
		success: function() {
			$(output)
				.css('font-style', 'italic')
				.show('slow')
				.delay(2000)
				.fadeOut('slow');
		}
	});
});

});

